package de.hdm_stuttgart.mi.sd1;

import java.io.FileNotFoundException;

/**
 * Writing text lines to a file.
 */

public class Text2FileDriver {

  /**
   * Entry point.
   * @param args Unused
   */
  public static void main(String[] args) {

    final String outputFileName = "output.txt";

    try (final Text2File output = new Text2File(outputFileName)){
      output.println("Some dumb text");
      output.println("More dumb text");
    } catch (FileNotFoundException e) {
      System.err.println("Unable to open '" + outputFileName + "' for writing");
    }

  }
}