package de.hdm_stuttgart.sd1;

import java.util.Scanner;

public class EnterIntValue {

  public static void main(String[] args) {

    String userInput = null;
    try (final Scanner scanner = new Scanner(System.in)) {

      System.out.print("Enter an integer: ");
      userInput = scanner.nextLine();

      final int value = Integer.parseInt(userInput);

      System.out.println("You entered " + value);

    } catch (final NumberFormatException e) {
      System.out.println("Sorry, but '" + userInput +
        "' is not an integer.");
    }
  }
}
