#A contacts datastore#
This directory is the starting point showing an XML schema's step-by-step evolution of an organizer data store providing both contacts and appointments.
##Constraints##
All three elements ```<firstname>```, ```<lastname>``` and ```<email>``` must be present as children of ```<contact>``` exactly in this order. 
##Files##
- ```organizer.xsd```: Underlying schema. Subsequent XML files reference this schema by virtue of their root element's ```noNamespaceSchemaLocation``` attribute thus allowing for [XML Schema validation](https://en.wikipedia.org/wiki/XML_schema#Validation).
- ```myContacts.xml```: Example contact record
- ```missingEmail.xml```: Invalid due to missing E-mail element
- ```wrongOrder.xml```: Invalid due to wrong element order.