package de.hdm_stuttgart.mi.sd1.aufgabe2;

import de.hdm_stuttgart.mi.sd1.aufgabe1.Maexchen;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 * <p>Darstellung eines Mäxchen Wurfs, z.B. (3|2), siehe auch {@link Maexchen}.</p>
 */
public class MaexleWurf {

  static private Logger log = LogManager.getLogger(MaexleWurf.class);

  public MaexleWurf(final int wuerfel1, final int wuerfel2) {
    // TODO: Implementiere mich richtig!
  }

  /**
   * <p>Vergleiche den aktuellen Wurf mit einem anderen Wurf: Welcher Wurf ist höher?</p>
   *
   * <table border="1" style="border-collapse: collapse;">
   *   <tr>
   *     <th colspan="14">Normalwerte</th>
   *     <th colspan="6">Pasch</th>
   *     <th>Mäxle</th>
   *   </tr>
   *   <tr>
   *     <td>(3|1)</td><td>(3|2)</td>
   *     <td>(4|1)</td><td>(4|2)</td><td>(4|3)</td>
   *     <td>(5|1)</td><td>(5|2)</td><td>(5|3)</td><td>(5|4)</td>
   *     <td>(6|1)</td><td>(6|2)</td><td>(6|3)</td><td>(6|4)</td><td>(6|5)</td>
   *
   *     <td>(1|1)</td>
   *     <td>(2|2)</td>
   *     <td>(3|3)</td>
   *     <td>(4|4)</td>
   *     <td>(5|5)</td>
   *     <td>(6|6)</td>
   *
   *     <td>(1|2)</td>
   *   </tr>
   *   <tr>
   *     <td>Niedrigster Wert</td>
   *     <td colspan="19"></td>
   *     <td>Höchster Wert</td>
   *   </tr>
   *   <caption>Reihenfolge gewürfelter Augenpaare in aufsteigender Folge im Mäxchen Spiel.</caption>
   *
   * </table>
   *
   * <p>Beispiele:</p>
   *
   * <ul>
   *   <li><code>(2| 5)</code> gleich <code>(5| 2)</code> wird »52« gesprochen und ist größer als (4| 3), gesprochen
   *   »43«</li>
   *
   *   <li><code>(2| 2)</code> ist als höher als alle nicht-Pasch / nicht-Mäxchen Werte wie z.B. <code>(5| 6)</code>,
   *   aber niedriger als das Mäxchen <code>(1|2)</code>.</li>
   *
   * </ul>
   *
   * @param other Ein im Spiel geworfener Wert bestehend aus den Augenzahlen zweier Würfel, mit welchem der atuelle
   *              Wert verglichen wird.
   * @return <ul>
   *   <li>positives Ergebnis, falls fremder Wert höher liegt.</li>
   *   <li>0, falls fremder Wert gleich ist</li>
   *   <li>negatives Ergebnis, falls fremder Wert niedriger liegt.</li>
   * </ul>
   */
  public int compareTo(final MaexleWurf other) {
    // Auskommentieren und mit sinnvoller Ausgabe versehen:
    //log.info(this + " compareTo(" + other + ")");

    return -12345; // TODO: Implementiere mich richtig!
  }
}