package de.hdm_stuttgart.mi.sda1.exam.xsd;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.unitmarking.xsd.InstanceSetEvaluation;

/**
 * Unit test for an XML instance set.
 */
public class SchemaTest {
    /**
     * Testing a suite of XML instances.
     */
    @Test
    public void testXmlInstanceSet() {
       
       final InstanceSetEvaluation ise = new InstanceSetEvaluation("SchemaTest", "Schema/dictionary.xsd");
       
       System.out.println(ise.getMessages());

       Assert.assertTrue(ise.getErrorMessages(), ise.allTestsSucceeded);
    }
}
