package papier.klausur;

import java.io.IOException;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.jdom2.Element;
import org.jdom2.output.Format;
import org.jdom2.output.XMLOutputter;


/**
 * A simple http://logging.apache.org/log4j/2.x demo,
 *  see file log4j2.xml for configuration options.
 * 
 */
public class Careless {
   private static Logger log = LogManager.getLogger(Careless.class);

   /**
    * @param args Unused
    * @throws IOException 
    */
   public static void main( String[] args ) throws IOException {
      final Element book = new Element("Book"),
            title = new Element("title"),
            chapter = new Element("chapter");
      title.addContent("New Horizons");
      book.addContent(title);
      book.addContent(chapter);
      chapter.addContent(title);

      new XMLOutputter(Format.getPrettyFormat()).output(book, System.out);
   }
}
