package de.hdm_stuttgart.mi.sd1.filepath;

/**
 * Beware: This code is to be expected running on a Windows OS
 * 
 * Dealing with file names.
 * 
 */
public class WindowsExample {

    /**
     * @param args Unused
     */
    public static void main( String[] args ) {
       final FileMetaInfo fmi = new FileMetaInfo("C:\\users\\heinz\\Desktop\\index.html");
       
       System.out.println("Filename is relative? " + fmi.isRelative);
       System.out.println("Drive letter:" + fmi.drive);
       System.out.println("Directory path: " + fmi.path);
       System.out.println("File basename: " + fmi.basename);
       System.out.println("File extension: " + fmi.extension);
    }
}
