package de.hdm_stuttgart.mi.sd1.store;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import de.hdm_stuttgart.mi.sd1.main.PrimeNumbers;

public class TestPrimes {

  @Test
  public void primeTest() {
    final int[] primeNumbers = { 2,  3,  5,  7, 11, 13, 17, 19, 23,
                                31, 37, 41, 43, 47, 53, 59, 29,
                                61, 67, 71, 73, 79, 83, 89, 97};
    
    final boolean[] isPrime = new boolean[101]; //Testing 2,3,..,98,99,100
    for (int i = 2; i <= 100; i++) {
      isPrime[i] = false;
    }
    for (final int prime: primeNumbers) {
      isPrime[prime] = true;
    }
    for (int i = 2; i <= 100; i++) {
      assertEquals("Index=" + i , isPrime[i], PrimeNumbers.isPrime(i));
    }
  }
}
