package de.hdm_stuttgart.mi.sda1;

import de.hdm_stuttgart.mi.sda1.Db.WriteRelationalData;
import de.hdm_stuttgart.mi.sda1.xml.ReadData;
import org.jdom2.JDOMException;

import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import static de.hdm_stuttgart.mi.sda1.Db.WriteRelationalData.jdbcProperties;

public class Driver {

  public static void main(String[] args) throws SQLException, JDOMException, IOException {

    final Connection conn = DriverManager.getConnection(
      jdbcProperties.getString("jdbcurl"),
      jdbcProperties.getString("username"),
      jdbcProperties.getString("password"));

    final WriteRelationalData dest = new WriteRelationalData(conn);

    final ReadData read = new ReadData("Data/lectures.xml");

    read.transfer(dest);

  }
}
