package de.hdm_stuttgart.mi.sda2.usermanage.rdbms;

public enum UserParam implements Param {

	// See index values in subsequent SQL statement
	uid(1)
	,uidNumber(2)
	,primaryGidNumber(3)
	,cname(4)
	,homeDirectory(5)
	,shell(6)
	;
	
	public static final String sql = "INSERT INTO SysUser  ( uid,  uidNumber,  primaryGidNumber,  cname,  homeDirectory,  shell) "
									  	  /* Parameter index   1           2                  3       4               5       6  */
                                                    + "VALUES (?,          ?,                 ?,      ?,              ?,      ?)";

	public final int index;
	
	UserParam(final int index){
		this.index = index;
	}
	public int getIndex() {
		return index;
	}
	
	public String getSql() {
		return sql;
	}
}
