package dom.xsl;
/** Driver */
public class XmlRdbms2HtmlDriver {

  /** @param args unused */
  public static void main(String[] args) {
    final String inFilename = "Input/Dom/climbing.xml",
          xslFilename = "Input/Dom/catalog2html.xsl", htmlOutputFilename = "Input/Dom/climbingprice.html";
    try {
      final XmlRdbms2Html converter = new XmlRdbms2Html(xslFilename);
      converter.transform(inFilename, htmlOutputFilename);
    } catch (Exception e) {
      System.err.println("The conversion of '" + inFilename
          + "' by stylesheet '" + xslFilename
          + "' to output HTML file '" + htmlOutputFilename
          + "' failed with the following error:" + e);
      e.printStackTrace();
    }
  }
}