package de.hdm_stuttgart.de.mi.sd1;

/**
 * Common methods.
 */
public class Helper {

  /**
   * Compute the factorial for a given non-negative value.
   *
   * @param n A non-negative value.
   *
   * @return 1 * 2 * 3 * ... * n or 1 in case of argument being zero.
   */
  static public long factorial(int n) {
    long result = 1;
    for (int i = 2; i <= n; i++) {
      result *= i;
    }
    return result;
  }
}