package de.hdm_stuttgart.de.mi.sd1;

import org.junit.Assert;
import org.junit.Test;

/**
 * Unit test of {@link Helper}.
 */
public class HelperTest {
    /**
     * Test 0! == 1.
     */
    @Test
    public void testZero() {
        Assert.assertEquals( 1, Helper.factorial(0));
    }
    /**
     * Test 1! == 1.
     */
    @Test
    public void test_1() {
        Assert.assertEquals( 1, Helper.factorial(1));
    }
    /**
     * Test different values.
     */
    @Test
    public void testMultipleValues() {
        Assert.assertEquals(2 , Helper.factorial(2));
        Assert.assertEquals(6 , Helper.factorial(3));
        Assert.assertEquals(24 , Helper.factorial(4));
        Assert.assertEquals(120 , Helper.factorial(5));
        Assert.assertEquals(720 , Helper.factorial(6));
        Assert.assertEquals(5040 , Helper.factorial(7));
    }
}