package de.hdm_stuttgart.mi.sd1;

/**
 * Dealing with prime numbers.
 */
public class Prime {
  /**
   * Check whether a given value is prime or not
   * @param value A positive value
   * @return true if and only if value is a prime number.
   */
  public static boolean isPrime(int value) {
    for (int i = 2; i * i <= value; i++) {
      if (0 == value % i) {
        return false;
      }
    }
    return value != 1;
  }
}