package de.hdm_stuttgart.sd1;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.text.NumberFormat;
import java.util.Locale;

public class CreateCustomNumberFormat {

  public static void main(String[] args) {

    final DecimalFormatSymbols unusualSymbols = new DecimalFormatSymbols(Locale.getDefault());
    unusualSymbols.setDecimalSeparator('|');
    unusualSymbols.setGroupingSeparator('^');

    final String strange = "#,##0.###";
    final DecimalFormat weirdFormatter = new DecimalFormat(strange, unusualSymbols);
    weirdFormatter.setGroupingSize(4);

    String bizarre = weirdFormatter.format(12345.678);
    System.out.println(bizarre);

  }
}
