package de.hdm_stuttgart.sd1;

public class ParseShortToHexadecimal {

  public static void main(String[] args) {

    final String[] values = {"C9", "AF3", "B"};

    for (final String value: values) {
      System.out.println(value + ": " + getHexadecimal(value));
    }

  }

  /**
   * Convert a numerical value given as hexadecimal string  to
   * its counterpart of type short. Example:
   *
   * "2B" equals 2 * 16 + 11 == 43
   *
   * @param input String containing hexadecimal value.
   * @return the parsed short value.
   */
  public static short getHexadecimal(final String input) {
    return Short.parseShort(input, 16);
  }
}
