package de.hdm_stuttgart.mi.sda1.jdom;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.jdom2.Element;
import org.jdom2.Text;
import org.jdom2.output.Format;
import org.jdom2.output.XMLOutputter;

import java.io.IOException;


/**
 * Creating an instynce of {@link org.jdom2.Element}
 */

public class CreateDoc {
    private static Logger log = LogManager.getLogger(CreateDoc.class);

    /**
     * Your application's main entry point.
     *
     * @param args Yet unused
     */
    public static void main(String[] args) throws IOException {

        final Element titel = new Element("titel");
        titel.addContent(new Text("First try"));
        titel.setAttribute("date", "23.02.2000");
        final XMLOutputter printer =
                new XMLOutputter(Format.getPrettyFormat());
        printer.output(titel, System.out);
    }

}
