package de.hdm_stuttgart.mi.sda1;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import java.util.List;

/**
 * Database / OO Model type violation.
 */
public class ReadStudyCourseShortName {

  static private final EntityManagerFactory factory = Persistence.createEntityManagerFactory(
    "strategy_none");

  static private final EntityManager entityManager = factory.createEntityManager();
  /**
   * @param args unused
   */
  public static void main( String[] args ) {

    final List<String> studyCourseShortNames =
      entityManager.createQuery("SELECT S.shortName FROM StudyCourse AS S").
        getResultList();

    studyCourseShortNames.stream().
      map(s -> "Read '" + s + "'").
      forEach(System.out::println);

    factory.close();
  }
}