package de.hdm_stuttgart.mi.sd1.aufgabe1;

/**
 * Monatliche Abrechnung von Handykosten. Es gelten folgende Regeln:
 * 
 */
public class HandyAbrechnung {

   /**
    * Minutenkosten Inland in Euro-Cent.
    */
   static public final int inlandPreisProMinute = 9;

   /**
    * Minutenkosten Ausland (Roaming) in Euro-Cent.
    */
   static public final int auslandPreisProMinute = 89;

   /**
    * Anzahl der kostenlosen Freiminuten für Inlandsgespräche.
    */
   static public final int freiminutenInland = 100;

   /**
    * @param inlandMinuten Anzahl der im Abrechnungszeitraum telefonierten Minuten im Inland.
    * 
    * @param auslandMinuten Anzahl der im Abrechnungszeitraum telefonierten Minuten im Ausland (Roaming).
    * 
    * @return Zu zahlender Betrag in Cent. Es gelten folgende Regeln:
    * <ul>
    *   <li>Von den Inlandsminuten werden zunächst die Freiminuten {@link #freiminutenInland} abgezogen. Bleiben
    *        dann noch Gesprächsminuten übrig, so werden diese mit {@link #inlandPreisProMinute} berechnet.</li>
    *        
    *   <li>Auslandsminuten werden gemäß {@link #auslandPreisProMinute} berechnet.</li>
    * </ul>
    * 
    */
   public static int getMonatskosten (final int inlandMinuten, final int auslandMinuten) {
      return 12345; // TODO: Implementiere mich korrekt!
   }
}