package de.hdm_stuttgart.mi.sd1.test;

import de.hdm_stuttgart.mi.exam.unitmarking.RunTests;
import de.hdm_stuttgart.mi.sd1.test.aufgabe1.Test_HandyAbrechnung;
import de.hdm_stuttgart.mi.sd1.test.aufgabe1.Test_Helper;
import de.hdm_stuttgart.mi.sd1.test.aufgabe1.Test_StringHaeufigkeiten;
import de.hdm_stuttgart.mi.sd1.test.aufgabe2.Test_Ersatzteil;

public class ShowReachedPoints {

   /**
    * Execution reveals the number of reached points.
    * 
    * @param args Unused
    */
   public static void main(String[] args) {
      RunTests.exec(
            "Aufgabe 1"
            , Test_HandyAbrechnung.class
            , Test_Helper.class
            , Test_StringHaeufigkeiten.class);
      
      RunTests.exec("Aufgabe 2", Test_Ersatzteil.class);
   }
}
