package de.hdm_stuttgart.mi.sda1.scripts;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class DbHandler {

	final Connection conn;
	
	/**
	 * Opening a database connection by using fixed properties
	 * JDBC URL "jdbc:mysql://localhost:3306/hdm", user  "hdmuser" and
	 * password "XYZ"
	 * 
	 * @throws SQLException
	 * @throws ClassNotFoundException 
	 */
	public DbHandler() throws SQLException, ClassNotFoundException {
		Class.forName("com.mysql.jdbc.Driver");
		conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/hdm", "hdmuser", "XYZ");
	}

}