package de.hdm_stuttgart.mi.sd1.stringarray2html_test;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import de.hdm_stuttgart.mi.sd1.stringarray2html.Stringarray2Html;

public class StringArrayTest {

  @Test
  public void testnull() {
    Assertions.assertEquals("", Stringarray2Html.strings2html(null));

  }

  @Test
  public void testVoid() {
    Assertions.assertEquals("", Stringarray2Html.strings2html(new String[]{}));

  }

  @Test
  public void testTwo() {
    Assertions.assertEquals("<ul>\n"
        + "  <li>one</li>\n"
        + "  <li>two</li>\n"
        + "</ul>",
      Stringarray2Html.strings2html(new String[]{"one", "two"}));

  }
}