package de.hdm_stuttgart.mi.sd1.main;

import java.util.Scanner;

import de.hdm_stuttgart.mi.sd1.store.IntegerStore;

/**
 * Ask a user for sample input values to
 * calculate average and median.
 *
 */
public class Driver {
  /**
   * @param args unused
   */
  public static void main(String[] args) {

    final Scanner scanner = new Scanner(System.in);
    
    System.out.print("How big is your sample? ");
    final int sampleSize = scanner.nextInt();
    
    final IntegerStore store = new IntegerStore(sampleSize);
    System.out.println(); // Add a new line
    for (int i = 0; i < sampleSize; i++) {
      System.out.print("Enter value #" + (i + 1) + " of " + sampleSize + ": ");
      store.addValue(scanner.nextInt());
    }
    System.out.println("Your sample's average is: " + store.getAverage());
    System.out.println("Your sample's median is: " + store.getMedian());
    
    scanner.close();
  }
}
