package de.hdm_stuttgart.mi.sd1.store;

import java.util.HashSet;
import java.util.Set;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

@SuppressWarnings("javadoc")
public class TestDuplicates {

	final Set<String> classmates = new HashSet<String>();
	final static String kimDuplicate = "Kim";
	
	@Before
	public void init() {
		classmates.add("Jim");			// First entry
		classmates.add(kimDuplicate); 	// Second entry
		classmates.add("Eve");			// Third entry
		classmates.add(kimDuplicate);	// identical to existing entry "Kim"
		//
		//Result: {"Jim", "Kim", "Eve"}
	}
	@Test
	
	public void testDuplicateCount() {
		Assert.assertEquals("Expecting three entries {'Jim', 'Kim', 'Eve'}", 3, classmates.size());
		int count = 0;
		for (final String name: classmates) {
			if (kimDuplicate.equals(name)) {
				count++;
			}
		}
		Assert.assertEquals(1, count);
	}
}
