package de.hdm_stuttgart.mi.sd1.marks;

import java.io.IOException;

/**
 * Reading a text file and summing up marks among with
 * the corresponding list of names.
 */
public class MarkStatistics {

  /**
   * @param fileNames Mark statistics of this file name's data
   */
  public static void main(String[] fileNames) {

    TextFileHandler textFileHandler = null;

    if (1 == fileNames.length){ // Try to read from input file
      try {
        textFileHandler = new TextFileHandler(fileNames[0]);
      } catch (IOException e) {
        System.err.println("unable to read from file '" + fileNames[0] + "'");
        System.exit(1);
      }
    } else {
      System.err.println("I need exactly one file name argument");
      System.exit(1);
    }
    System.out.println("Overview of marks:");
    textFileHandler.printMarkFrequencies();
  }
}