package de.hdm_stuttgart.mi.entities;

import java.io.Serializable;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author goik
 *
 */
public class User implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@NotNull
	@Size(min=1, max=8)
	String name;
	
	@NotNull
	@Size(min=1, max=13)
	String email;
	
	@NotNull
	@Size(min=1, max=13)
	String password;
	
	
	/**
	 * @return The user's name
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return The user's mail
	 */
	public String getEmail() {
		return email;
	}

	/**
	 * @param email
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * @return he user's password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password
	 */
	public void setPassword(String password) {
		this.password = password;
	}
}
