package de.hdm_stuttgart.mi.sd1.test.aufgabe1;

import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.aufgabe1.Helper;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class TestGetMinimumOfTwo extends ExaminationTestDefaults {
  /**
   * First argument smaller than second
   */
  @Test
  @Marking(points=2)
  public void test_100() {
    Assert.assertEquals(1, Helper.getMinimum(1, 7));
    Assert.assertEquals(0, Helper.getMinimum(0, 1));
    Assert.assertEquals(-4, Helper.getMinimum(-4, -2));
    Assert.assertEquals(-4, Helper.getMinimum(-4, 0));
    Assert.assertEquals(-4, Helper.getMinimum(-4, 6));
  }
  /**
   * Second argument smaller than first
   */
  @Test
  @Marking(points=2)
  public void test_200() {
    Assert.assertEquals(1, Helper.getMinimum(6, 1));
    Assert.assertEquals(-1, Helper.getMinimum(0, -1));
    Assert.assertEquals(-7, Helper.getMinimum(-4, -7));
    Assert.assertEquals(-3, Helper.getMinimum(4, -3));
  }
  /**
   * Arguments equal
   */
  @Test
  @Marking(points=2)
  public void test_300() {
    Assert.assertEquals(5, Helper.getMinimum(5, 5));
    Assert.assertEquals(0, Helper.getMinimum(0, 0));
    Assert.assertEquals(-4, Helper.getMinimum(-4, -4));
  }
}