package de.hdm_stuttgart.mi.bb;

import de.hdm_stuttgart.mi.bb.model.User;
import org.glassfish.jersey.client.ClientConfig;
import org.glassfish.jersey.filter.LoggingFilter;
import org.glassfish.jersey.jackson.JacksonFeature;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.Invocation;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.*;
import java.util.List;
import java.util.Map;

/**
 * Hello world!
 *
 */
public class ReadUsers
{
    public static void main( String[] args )
    {

        ClientConfig cc = new ClientConfig().register(new JacksonFeature());

        Client client = ClientBuilder.newClient( cc);
        WebTarget webTarget = client.target("https://bb.mi.hdm-stuttgart.de/api").path("users");

        Invocation.Builder invocationBuilder =  webTarget.request(MediaType.APPLICATION_JSON_TYPE);
        Response response = invocationBuilder.get();

        Map<String, Object> ret = response.readEntity(Map.class);

        System.out.println(response.getStatus());
        System.out.println(ret.get("users").getClass().getName());
        final List l = (List)ret.get("users");
        System.out.println(l.get(0).getClass().getName());
        Map<String, Object> m = (Map)l.get(0);
        for (String k: m.keySet()) {
            System.out.println("key '" + k + "', val '" + m.get(k) + "'");
        }
    }
}
