package entity.company3;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 * Removing {@link Laptop} from {@link Employee} 
 */
public class LoadAndDeRegister {
  /**
   * @param args not used.
   */
  public static void main(String[] args) {
     final EntityManagerFactory factory = Persistence.createEntityManagerFactory("entityCompany3NoDropPU");
     final EntityManager em = factory.createEntityManager();

     em.getTransaction().begin();
     {
        final Employee  eve = em.find(Employee.class, 2L);
        eve.setLaptop(null);
     }
     em.getTransaction().commit();

     em.close();
     factory.close();
  }
}