package entity.company8.model;

import java.io.Serializable;

import javax.persistence.Embeddable;
import javax.persistence.ManyToOne;

// See http://giannigar.wordpress.com/2009/09/04/mapping-a-many-to-many-join-table-with-extra-column-using-jpa

@Embeddable
public class EmployeeProjectPk implements Serializable {
   
   private static final long serialVersionUID = -8380988172656519306L;

   @ManyToOne
   public Employee getEmployee() {return employee; }
   public void setEmployee(Employee employee) {this.employee = employee;}
   private Employee employee;

   @ManyToOne
   public Project  getProject() { return project;}
   public void setProject(Project project) { this.project = project;}
   private Project project;

   public boolean equals(Object o) {
      if (this == o) {
         return true;
      } else if (o instanceof EmployeeProjectPk) {
         EmployeeProjectPk that = (EmployeeProjectPk) o;
         if (null == getEmployee()  && null != that.getEmployee()) {
            return false;
         } else if (null == getProject() && null != that.getProject()){
            return false;
         } else {
            return getProject().equals(that.getProject()) &&
                  getEmployee().equals(that.getEmployee());
         }
      } else {
         return false;
      }
   }
   public int hashCode() {
      int result = (employee == null ? 0 : employee.hashCode());
      return 31 * result + (project == null ? 0 : project.hashCode());
   }
}
