package hibintro.v6;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 * Persisting a simple instance of {@link Project}
 *
 */
public class PersistProject {

   /**
    * @param args not used.
    */
   public static void main(String[] args) {
      final EntityManagerFactory factory = Persistence.createEntityManagerFactory("hibintroV6PU");
      final EntityManager em = factory.createEntityManager();

      em.getTransaction().begin();
      {
         em.persist(new Project("New web-server", 3));
      }
      em.getTransaction().commit();

      em.close();
      factory.close();
   }
}