package sda.jdbc.intro.sqlinject;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class DbProps {
   private static final String BUNDLE_NAME = "sda.jdbc.intro.sqlinject.database";

   private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
         .getBundle(BUNDLE_NAME);

   private DbProps() {
   }

   public static String getString(String key) {
      try {
         return RESOURCE_BUNDLE.getString(key);
      } catch (MissingResourceException e) {
         return '!' + key + '!';
      }
   }
}
